Source: http://download.opensuse.org/repositories/openSUSE:/11.0/standard/src/tdom-0.8.2-50.1.src.rpm
Index: Makefile.in
================================================================================
--- configure.in
+++ configure.in
@@ -72,6 +72,7 @@
 #--------------------------------------------------------------------
 
 TDOM_PATH_AOLSERVER
+TDOM_PATH_EXPAT
 
 #-----------------------------------------------------------------------
 # __CHANGE__
@@ -83,10 +84,7 @@
 # and PKG_TCL_SOURCES.
 #-----------------------------------------------------------------------
 
-TEA_ADD_SOURCES([expat/xmlrole.c     \
-                 expat/xmltok.c      \
-                 expat/xmlparse.c    \
-                 generic/xmlsimple.c \
+TEA_ADD_SOURCES([generic/xmlsimple.c \
                  generic/utf8conv.c  \
                  generic/dom.c       \
                  generic/domalloc.c  \
@@ -100,7 +98,7 @@
                  generic/tclexpat.c  \
                  generic/tdomStubInit.c])
 TEA_ADD_HEADERS([generic/tdom.h])
-TEA_ADD_INCLUDES([-I${srcdir}/generic -I${srcdir}/expat ${AOL_INCLUDES}])
+TEA_ADD_INCLUDES([-I${srcdir}/generic ${AOL_INCLUDES}])
 TEA_ADD_LIBS([${AOL_LIBS}])
 TEA_ADD_CFLAGS([])
 TEA_ADD_STUB_SOURCES([generic/tdomStubLib.c])
--- tdom.m4
+++ tdom.m4
@@ -215,6 +215,46 @@
     fi
 ])
 
+
+AC_DEFUN(TDOM_PATH_EXPAT, [
+    AC_MSG_CHECKING([for expat])
+    AC_ARG_WITH(expat, 
+        AC_HELP_STRING([--with-expat],
+            [directory with expat installation]), , [with_expat=no])
+
+    AC_CACHE_VAL(ac_cv_c_expat,[
+    case $with_expat in
+	no) ;;
+	yes)
+	    for f in /usr/local /usr; do
+	        if test -f "$f/include/expat.h" ; then
+		    ac_cv_c_expat=`(cd $f; pwd)`
+		    break
+		fi
+	    done
+	    ;;
+	*)
+	    if test -f "$with_expat/include/expat.h"; then
+		ac_cv_c_expat=`(cd $with_expat; pwd)`
+	    else
+        	AC_MSG_ERROR([${with_expat} directory doesn't contain expat.h])
+	    fi
+    esac
+    ])
+    if test x"${ac_cv_c_expat}" = x ; then
+        AC_MSG_RESULT([using local copy])
+	TEA_ADD_SOURCES([expat/xmlrole.c     \
+                 	 expat/xmltok.c      \
+	                 expat/xmlparse.c])
+	TEA_ADD_INCLUDES([-I${srcdir}/expat])
+    else
+        AC_MSG_RESULT([${ac_cv_c_expat}])
+	TEA_ADD_INCLUDES(${ac_cv_c_expat}/include)
+	TEA_ADD_LIBS([-lexpat])
+    fi
+])
+
+
 #------------------------------------------------------------------------
 # TDOM_PATH_CONFIG --
 #
